Index: trunk/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComSlice.h	(revision 759)
+++ trunk/source/Lib/TLibCommon/TComSlice.h	(revision 773)
@@ -53,4 +53,5 @@
 #if H_MV
 class TComPicLists; 
+class TComVPS; 
 #endif
 // ====================================================================================================================
@@ -62,7 +63,4 @@
 // ====================================================================================================================
 
-#if H_MV_6_HRD_O0164_15
-class TComVPS; 
-#endif
 /// Reference Picture Set class
 class TComReferencePictureSet
@@ -407,5 +405,4 @@
 #if H_MV
 
-#if H_MV_6_PS_O0118_33
 class TComVideoSignalInfo
 {
@@ -432,6 +429,4 @@
   Int  getMatrixCoeffsVps(  ) { return m_matrixCoeffsVps; } 
 };
-#endif
-#if H_MV_6_HRD_O0164_15
 class TComVpsVuiBspHrdParameters
 {
@@ -473,12 +468,9 @@
 };
 
-#endif
 class TComVPSVUI
 {
 private:
-#if H_MV_6_PS_O0223_29
   Bool m_crossLayerPicTypeAlignedFlag;
   Bool m_crossLayerIrapAlignedFlag;
-#endif
   Bool m_bitRatePresentVpsFlag;
   Bool m_picRatePresentVpsFlag;
@@ -489,33 +481,24 @@
   Int  m_constantPicRateIdc          [MAX_VPS_OP_SETS_PLUS1][MAX_TLAYER];
   Int  m_avgPicRate                  [MAX_VPS_OP_SETS_PLUS1][MAX_TLAYER];
-#if H_MV_6_O0226_37
   Bool m_tilesNotInUseFlag;
   Bool m_tilesInUseFlag              [MAX_NUM_LAYERS];
   Bool m_loopFilterNotAcrossTilesFlag[MAX_NUM_LAYERS];
-#endif  
   Bool m_tileBoundariesAlignedFlag   [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-#if H_MV_6_O0226_37
   Bool m_wppNotInUseFlag;
   Bool m_wppInUseFlag                [MAX_NUM_LAYERS];
-#endif
   Bool m_ilpRestrictedRefLayersFlag;
   Int  m_minSpatialSegmentOffsetPlus1[MAX_NUM_LAYERS][MAX_NUM_LAYERS];
   Bool m_ctuBasedOffsetEnabledFlag   [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
   Int  m_minHorizontalCtuOffsetPlus1 [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-#if H_MV_6_PS_O0118_33
   Bool m_videoSignalInfoIdxPresentFlag;
   Int  m_vpsNumVideoSignalInfoMinus1;
   TComVideoSignalInfo* m_videoSignalInfo[MAX_NUM_VIDEO_SIGNAL_INFO];   
   Int  m_vpsVideoSignalInfoIdx       [MAX_NUM_VIDEO_SIGNAL_INFO];
-#endif
-#if H_MV_6_HRD_O0164_15
   Bool m_vpsVuiBspHrdPresentFlag;
   TComVpsVuiBspHrdParameters* m_vpsVuiBspHrdParameters; 
-#endif
 
 public: 
   TComVPSVUI();
   ~TComVPSVUI(); 
-#if H_MV_6_PS_O0223_29
   Void setCrossLayerPicTypeAlignedFlag( Bool flag ) { m_crossLayerPicTypeAlignedFlag = flag; } 
   Bool getCrossLayerPicTypeAlignedFlag(  ) { return m_crossLayerPicTypeAlignedFlag; } 
@@ -523,5 +506,4 @@
   Void setCrossLayerIrapAlignedFlag( Bool flag ) { m_crossLayerIrapAlignedFlag = flag; } 
   Bool getCrossLayerIrapAlignedFlag(  ) { return m_crossLayerIrapAlignedFlag; } 
-#endif
 
   Void setBitRatePresentVpsFlag( Bool flag ) { m_bitRatePresentVpsFlag = flag; } 
@@ -549,5 +531,4 @@
   Int  getAvgPicRate( Int i, Int j ) { return m_avgPicRate[i][j]; } 
 
-#if H_MV_6_O0226_37
   Void setTilesNotInUseFlag( Bool flag ) { m_tilesNotInUseFlag = flag; } 
   Bool getTilesNotInUseFlag(  ) { return m_tilesNotInUseFlag; } 
@@ -558,10 +539,8 @@
   Void setLoopFilterNotAcrossTilesFlag( Int i, Int  val ) { m_loopFilterNotAcrossTilesFlag[i] = val; } 
   Bool getLoopFilterNotAcrossTilesFlag( Int i ) { return m_loopFilterNotAcrossTilesFlag[i]; } 
-#endif
 
   Void setTileBoundariesAlignedFlag( Int i, Int j, Bool flag ) { m_tileBoundariesAlignedFlag[i][j] = flag; } 
   Bool getTileBoundariesAlignedFlag( Int i, Int j ) { return m_tileBoundariesAlignedFlag[i][j]; } 
 
-#if H_MV_6_O0226_37
   Void setWppNotInUseFlag( Bool flag ) { m_wppNotInUseFlag = flag; } 
   Bool getWppNotInUseFlag(  ) { return m_wppNotInUseFlag; } 
@@ -569,5 +548,4 @@
   Void setWppInUseFlag( Int i, Bool flag ) { m_wppInUseFlag[i] = flag; } 
   Bool getWppInUseFlag( Int i ) { return m_wppInUseFlag[i]; } 
-#endif
 
   Void setIlpRestrictedRefLayersFlag( Bool flag ) { m_ilpRestrictedRefLayersFlag = flag; } 
@@ -583,5 +561,4 @@
   Int  getMinHorizontalCtuOffsetPlus1( Int i, Int j ) { return m_minHorizontalCtuOffsetPlus1[i][j]; } 
 
-#if H_MV_6_PS_O0118_33
   Void setVideoSignalInfoIdxPresentFlag( Bool flag ) { m_videoSignalInfoIdxPresentFlag = flag; } 
   Bool getVideoSignalInfoIdxPresentFlag(  ) { return m_videoSignalInfoIdxPresentFlag; } 
@@ -595,7 +572,5 @@
   Void setVpsVideoSignalInfoIdx( Int i, Int  val ) { m_vpsVideoSignalInfoIdx[i] = val; } 
   Int  getVpsVideoSignalInfoIdx( Int i ) { return m_vpsVideoSignalInfoIdx[i]; } 
-#endif
-
-#if H_MV_6_HRD_O0164_15
+
   Void setVpsVuiBspHrdPresentFlag( Bool flag ) { m_vpsVuiBspHrdPresentFlag = flag; } 
   Bool getVpsVuiBspHrdPresentFlag(  ) { return m_vpsVuiBspHrdPresentFlag; }
@@ -603,5 +578,4 @@
   Void setVpsVuiBspHrdParameters( TComVpsVuiBspHrdParameters* val) {  m_vpsVuiBspHrdParameters = val; } 
   TComVpsVuiBspHrdParameters* getVpsVuiBspHrdParameters(  ) { return m_vpsVuiBspHrdParameters; }
-#endif
 };
 
@@ -609,7 +583,5 @@
 {
 private:
-#if H_MV_6_PS_REP_FORM_18_19_20
   Bool m_chromaAndBitDepthVpsPresentFlag;
-#endif
   Int  m_chromaFormatVpsIdc;
   Bool m_separateColourPlaneVpsFlag;
@@ -622,10 +594,8 @@
   TComRepFormat() { };  
 
-#if H_MV_6_PS_REP_FORM_18_19_20
   Void setChromaAndBitDepthVpsPresentFlag( Bool flag ) { m_chromaAndBitDepthVpsPresentFlag = flag; } 
   Bool getChromaAndBitDepthVpsPresentFlag(  ) { return m_chromaAndBitDepthVpsPresentFlag; } 
   Void checkChromaAndBitDepthVpsPresentFlag( Int i ) { assert( i != 0 || m_chromaAndBitDepthVpsPresentFlag ); } // The value of chroma_and_bit_depth_vps_present_flag of the first rep_format( ) syntax structure in the VPS shall be equal to 1.  
   Void inferChromaAndBitDepth( TComRepFormat* prevRepFormat, Bool encoderFlag );
-#endif
 
   Void setChromaFormatVpsIdc( Int  val ) { m_chromaFormatVpsIdc = val; } 
@@ -647,7 +617,6 @@
   Int  getBitDepthVpsChromaMinus8(  ) { return m_bitDepthVpsChromaMinus8; } 
 };
-#endif
-
-#if H_MV_6_HRD_O0217_13
+
+
 class TComDpbSize
 {
@@ -696,5 +665,4 @@
 };
 #endif
-
 class TComVPS
 {
@@ -748,21 +716,11 @@
   Int         m_dimensionId              [MAX_NUM_LAYER_IDS][MAX_NUM_SCALABILITY_TYPES];  
 
-#if H_MV_6_PS_O0109_22
   Int         m_viewIdLen;
-#else
-  Int         m_viewIdLenMinus1;
-#endif
   Int         m_viewIdVal                [MAX_NUM_LAYERS];
   Bool        m_directDependencyFlag     [MAX_NUM_LAYER_IDS][MAX_NUM_LAYER_IDS];
-#if H_MV_6_ILDSD_O0120_26
   Bool        m_vpsSubLayersMaxMinus1PresentFlag;
   Int         m_subLayersVpsMaxMinus1    [MAX_NUM_LAYERS];
-#endif
   Bool        m_maxTidRefPresentFlag;
-#if H_MV_6_ILDDS_O0225_30
   Int         m_maxTidIlRefPicsPlus1     [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-#else
-  Int         m_maxTidIlRefPicPlus1      [MAX_NUM_LAYERS];
-#endif
   Bool        m_allRefLayersActiveFlag;
   Int         m_vpsNumberLayerSetsMinus1; 
@@ -772,15 +730,9 @@
   Bool        m_moreOutputLayerSetsThanDefaultFlag;
   Int         m_numAddOutputLayerSetsMinus1;    
-#if H_MV_6_PS_0109_25
   Int         m_defaultOneTargetOutputLayerIdc;
-#else
-  Bool        m_defaultOneTargetOutputLayerFlag;
-#endif
   Int         m_outputLayerSetIdxMinus1  [MAX_VPS_OUTPUTLAYER_SETS];  
   Bool        m_outputLayerFlag          [MAX_VPS_OUTPUTLAYER_SETS][MAX_VPS_NUH_LAYER_ID_PLUS1];
   Int         m_profileLevelTierIdx      [MAX_VPS_OUTPUTLAYER_SETS ];
-#if H_MV_6_GEN_0153_28
   Bool        m_altOutputLayerFlag;
-#endif
   Bool        m_repFormatIdxPresentFlag;
   Int         m_vpsNumRepFormatsMinus1;
@@ -788,19 +740,10 @@
   TComRepFormat* m_repFormat             [MAX_NUM_LAYERS]; 
   Bool        m_maxOneActiveRefLayerFlag;       
-#if H_MV_6_MISC_O0062_31
   Bool        m_pocLsbNotPresentFlag     [MAX_NUM_LAYERS];
-#endif
-
-#if H_MV_6_HRD_O0217_13
+
   TComDpbSize* m_dpbSize; 
-#endif
-#if !H_MV_6_PS_O0223_29       
-  Bool        m_crossLayerIrapAlignedFlag;
-#endif
   Int         m_directDepTypeLenMinus2;         
-#if H_MV_6_PS_O0096_21
   Bool        m_defaultDirectDependencyFlag;
   Int         m_defaultDirectDependencyType;
-#endif
   Bool        m_vpsVuiPresentFlag;
   TComVPSVUI* m_vpsVUI; 
@@ -822,9 +765,7 @@
   Int         m_viewIndex                [MAX_NUM_LAYERS   ];
   
-#if H_MV_6_HRD_O0217_13
   std::vector< std::vector< Int> >       m_targetDecLayerIdLists;   //[TargetOptLayerSetIdx][i]
   std::vector< std::vector< Int> >       m_targetOptLayerIdLists; 
   std::vector< std::vector< Int> >       m_layerSetLayerIdList; 
-#endif
 
 
@@ -838,5 +779,5 @@
 #if H_3D_IV_MERGE
   Bool        m_ivMvPredFlag             [ MAX_NUM_LAYERS ]; 
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
   Int         m_iSubPULog2Size           [MAX_NUM_LAYERS   ];
 #endif
@@ -850,17 +791,5 @@
   Bool        m_vpsDepthModesFlag        [MAX_NUM_LAYERS   ];
 
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-  Bool        m_bUseDLTFlag              [MAX_NUM_LAYERS   ];
-  
-  Int         m_iBitsPerDepthValue       [MAX_NUM_LAYERS   ];
-  Int         m_iNumDepthmapValues       [MAX_NUM_LAYERS   ];
-  Int*        m_iDepthValue2Idx          [MAX_NUM_LAYERS   ];
-  Int*        m_iIdx2DepthValue          [MAX_NUM_LAYERS   ];
-#endif
-#endif
-
 #if H_3D
-#if CAM_HLS_F0136_F0045_F0082
   UInt        m_uiCamParPrecision;
   Bool*       m_bCamParInSliceHeader;
@@ -868,5 +797,4 @@
   Int         ***m_aaaiCodedScale ;
   Int         ***m_aaaiCodedOffset;
-#endif
   Bool        m_ivMvScalingFlag; 
 #endif
@@ -874,5 +802,5 @@
   Bool        m_bInterSDCFlag[MAX_NUM_LAYERS   ];
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
   Bool        m_bMPIFlag[MAX_NUM_LAYERS   ];
 #endif
@@ -901,8 +829,7 @@
   UInt    getMaxTLayers  ()                   { return m_uiMaxTLayers;   }
   Void    setMaxTLayers  (UInt t)             { m_uiMaxTLayers = t; }
-#if H_MV_6_HRD_O0164_15
+
+#if H_MV    
   UInt    getMaxSubLayersMinus1()             { return m_uiMaxTLayers - 1;  }  // For consistency with draft spec
-#endif
-#if H_MV    
   UInt    getMaxLayersMinus1()                { return m_uiMaxLayersMinus1;  }; 
   Void    setMaxLayersMinus1(UInt l)          { m_uiMaxLayersMinus1 = l; }
@@ -978,11 +905,6 @@
   Int     getDimensionId( Int layerIdInVps, Int scalIdx )                  { return m_dimensionId[layerIdInVps][scalIdx]; }
 
-#if H_MV_6_PS_O0109_22
   Void    setViewIdLen( Int  val )                                         { m_viewIdLen = val; } 
   Int     getViewIdLen(  )                                                 { return m_viewIdLen; } 
-#else
-  Void    setViewIdLenMinus1( Int  val )                                   { m_viewIdLenMinus1 = val; } 
-  Int     getViewIdLenMinus1(  )                                           { return m_viewIdLenMinus1; } 
-#endif
 
   Void    setViewIdVal( Int viewOrderIndex, Int  val )                     { m_viewIdVal[viewOrderIndex] = val; } 
@@ -990,5 +912,4 @@
   Void    setDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps, Bool val ) { m_directDependencyFlag[depLayeridInVps][refLayeridInVps] = val;  }
   Bool    getDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps )           { return m_directDependencyFlag[depLayeridInVps][refLayeridInVps]; }
-#if H_MV_6_ILDSD_O0120_26
   Void    setVpsSubLayersMaxMinus1PresentFlag( Bool flag )                 { m_vpsSubLayersMaxMinus1PresentFlag = flag; } 
   Bool    getVpsSubLayersMaxMinus1PresentFlag(  )                          { return m_vpsSubLayersMaxMinus1PresentFlag; } 
@@ -996,14 +917,8 @@
   Int     getSubLayersVpsMaxMinus1( Int i )                                { return m_subLayersVpsMaxMinus1[i]; } 
   Void    checkSubLayersVpsMaxMinus1( Int i )                              { assert( m_subLayersVpsMaxMinus1[i] >= 0 && m_subLayersVpsMaxMinus1[i] <= m_uiMaxTLayers - 1 ); }
-#endif
   Void    setMaxTidRefPresentFlag( Bool flag )                             { m_maxTidRefPresentFlag = flag; } 
   Bool    getMaxTidRefPresentFlag(  )                                      { return m_maxTidRefPresentFlag; } 
-#if H_MV_6_ILDDS_O0225_30
   Void    setMaxTidIlRefPicsPlus1( Int i, Int j, Int  val )                { m_maxTidIlRefPicsPlus1[i][j] = val; } 
   Int     getMaxTidIlRefPicsPlus1( Int i, Int j )                          { return m_maxTidIlRefPicsPlus1[i][j]; } 
-#else
-  Void    setMaxTidIlRefPicPlus1( Int layerIdInVps, Int val )              { m_maxTidIlRefPicPlus1[ layerIdInVps ] = val;  } 
-  Int     getMaxTidIlRefPicPlus1( Int layerIdInVps )                       { return m_maxTidIlRefPicPlus1[ layerIdInVps ]; } 
-#endif
   Void    setAllRefLayersActiveFlag( Bool flag )                           { m_allRefLayersActiveFlag = flag; } 
   Bool    getAllRefLayersActiveFlag(  )                                    { return m_allRefLayersActiveFlag; } 
@@ -1019,7 +934,5 @@
   Void    setProfileRefMinus1( Int profileTierLevelIdx, Int val )          { m_profileRefMinus1[ profileTierLevelIdx ] = val;  } 
   Int     getProfileRefMinus1( Int profileTierLevelIdx )                   { return m_profileRefMinus1[ profileTierLevelIdx ]; } 
-#if H_MV_6_PS_O0109_23
   Void    checkProfileRefMinus1( Int i )                                   { assert( getProfileRefMinus1( i ) + 1 <= i ); };  //  The value of profile_ref_minus1[ i ] + 1 shall be less than or equal to i.
-#endif
   Void    setMoreOutputLayerSetsThanDefaultFlag( Bool flag )               { m_moreOutputLayerSetsThanDefaultFlag = flag; } 
   Bool    getMoreOutputLayerSetsThanDefaultFlag()                          { return m_moreOutputLayerSetsThanDefaultFlag; } 
@@ -1028,12 +941,7 @@
   Int     getNumAddOutputLayerSetsMinus1( )                                { return m_numAddOutputLayerSetsMinus1; } 
   
-#if H_MV_6_PS_0109_25  
   Void    setDefaultOneTargetOutputLayerIdc( Int  val )                    { m_defaultOneTargetOutputLayerIdc = val; } 
   Int     getDefaultOneTargetOutputLayerIdc(  )                            { return m_defaultOneTargetOutputLayerIdc; } 
   Void    checkDefaultOneTargetOutputLayerIdc( )                           { assert( m_defaultOneTargetOutputLayerIdc >= 0 && m_defaultOneTargetOutputLayerIdc <= 1 ); }
-#else
-  Void    setDefaultOneTargetOutputLayerFlag( Bool flag )                  { m_defaultOneTargetOutputLayerFlag = flag; } 
-  Bool    getDefaultOneTargetOutputLayerFlag( )                            { return m_defaultOneTargetOutputLayerFlag; } 
-#endif
   
   Void    setOutputLayerSetIdxMinus1( Int outLayerSetIdx, Int val )        { m_outputLayerSetIdxMinus1[ outLayerSetIdx ]  = val; } 
@@ -1042,14 +950,10 @@
   Void    setOutputLayerFlag( Int outLayerSetIdx, Int i, Bool flag )       { m_outputLayerFlag[ outLayerSetIdx ][ i ] = flag; } 
   Bool    getOutputLayerFlag( Int outLayerSetIdx, Int i )                  { return m_outputLayerFlag[ outLayerSetIdx ][ i ]; } 
-#if H_MV_6_HRD_O0217_13
   Bool    inferOutputLayerFlag( Int layerSetIdx, Int i )                   { return ( getDefaultOneTargetOutputLayerIdc( ) == 0 || ( ( getDefaultOneTargetOutputLayerIdc( ) == 1 ) && ( i == m_layerSetLayerIdList[layerSetIdx].size() - 1  ) ));  }
-#endif
 
   Void    setProfileLevelTierIdx( Int outLayerSetIdx, Int val )            { m_profileLevelTierIdx[ outLayerSetIdx  = val ]; }
   Int     getProfileLevelTierIdx( Int outLayerSetIdx )                     { return m_profileLevelTierIdx[ outLayerSetIdx ]; } 
-#if H_MV_6_GEN_0153_28
   Void    setAltOutputLayerFlag( Bool flag )                               { m_altOutputLayerFlag = flag; } 
   Bool    getAltOutputLayerFlag(  )                                        { return m_altOutputLayerFlag; } 
-#endif
 
   Void    setRepFormatIdxPresentFlag( Bool flag )                          { m_repFormatIdxPresentFlag = flag; } 
@@ -1067,21 +971,12 @@
   Bool    getMaxOneActiveRefLayerFlag( )                                   { return m_maxOneActiveRefLayerFlag; } 
 
-#if H_MV_6_HRD_O0217_13
   Void    setDpbSize( TComDpbSize* val )                                   { assert( m_dpbSize != 0 ); m_dpbSize = val; } 
   TComDpbSize* getDpbSize( )                                               { return m_dpbSize;} 
-#endif
-
-#if H_MV_6_MISC_O0062_31
+
   Void    setPocLsbNotPresentFlag( Int i, Bool flag )                      { m_pocLsbNotPresentFlag[i] = flag; } 
   Bool    getPocLsbNotPresentFlag( Int i )                                 { return m_pocLsbNotPresentFlag[i]; } 
-#endif
-#if !H_MV_6_PS_O0223_29  
-  Void    setCrossLayerIrapAlignedFlag( Bool flag )                        { m_crossLayerIrapAlignedFlag = flag; } 
-  Bool    getCrossLayerIrapAlignedFlag(  )                                 { return m_crossLayerIrapAlignedFlag; } 
-#endif
   Void    setDirectDepTypeLenMinus2( Int val)                              { m_directDepTypeLenMinus2 = val; } 
   Int     getDirectDepTypeLenMinus2( )                                     { return m_directDepTypeLenMinus2; } 
 
-#if H_MV_6_PS_O0096_21
   Void    setDefaultDirectDependencyFlag( Bool flag )                      { m_defaultDirectDependencyFlag = flag; } 
   Bool    getDefaultDirectDependencyFlag(  )                               { return m_defaultDirectDependencyFlag; } 
@@ -1089,5 +984,4 @@
   Void    setDefaultDirectDependencyType( Int  val )                       { m_defaultDirectDependencyType = val; } 
   Int     getDefaultDirectDependencyType(  )                               { return m_defaultDirectDependencyType; } 
-#endif
   Void    setDirectDependencyType( Int depLayeridInVps, Int refLayeridInVps, Int val) { m_directDependencyType[ depLayeridInVps ][ refLayeridInVps ] = val; } 
   Int     getDirectDependencyType( Int depLayeridInVps, Int refLayeridInVps)   { return m_directDependencyType[ depLayeridInVps ][ refLayeridInVps ]; } 
@@ -1096,14 +990,11 @@
 
   TComVPSVUI* getVPSVUI(  )                                                { return m_vpsVUI;  }
-  // VPS EXTENSION SEMANTICS VARIABLES
+ 
+ // VPS EXTENSION SEMANTICS VARIABLES
   Void    setLayerIdInVps( Int layerIdInNuh, Int val )                     { m_layerIdInVps[layerIdInNuh] = val;  }
   Int     getLayerIdInVps( Int layerIdInNuh )                              { assert( m_layerIdInVps[layerIdInNuh] >= 0 ); return m_layerIdInVps[layerIdInNuh]; }
 
   Int     getScalabilityId ( Int layerIdInVps, ScalabilityType scalType );
-#if H_MV_6_FIX_GET_VIEW_ID
   Int     getViewId        ( Int layerIdInNuh )                            { return m_viewIdVal[ getViewIndex( layerIdInNuh )]; }
-#else
-  Int     getViewId        ( Int layerIdInNuh )                            { return m_viewIdVal[ getViewIndex( getLayerIdInVps( layerIdInNuh) )]; }
-#endif
   Void    setRefLayers(); 
 
@@ -1120,15 +1011,11 @@
   Int     getNumLayersInIdList ( Int lsIdx );
 
-#if H_MV_6_HRD_O0217_13
   Int     getNumOutputLayerSets() ;   
   Int     getNumSubDpbs( Int i )                                           { return getNumLayersInIdList( i ); };  
   Bool    isOutputLayer( Int outLayerSetIdx, Int layerIdInNuh );   
-#if H_MV_6_HRD_O0217_13
   Void    deriveLayerSetLayerIdList();
   Void    deriveTargetLayerIdLists();
   std::vector<Int> getTargetDecLayerIdList( Int targetOptLayerSetIdx )     { return m_targetDecLayerIdLists[targetOptLayerSetIdx]; }; 
   std::vector<Int> getTargetOptLayerIdList( Int targetOptLayerSetIdx )     { return m_targetDecLayerIdLists[targetOptLayerSetIdx]; }; 
-#endif
-#endif
 
 
@@ -1150,5 +1037,5 @@
   Void    setARPStepNum( Int layerIdInVps, UInt val )                      { m_uiARPStepNum[layerIdInVps]    = val;     }
 #endif
-#if CAM_HLS_F0136_F0045_F0082
+
   Void createCamPars(Int iNumViews);
   Void deleteCamPars();
@@ -1162,10 +1049,9 @@
   Int* getInvCodedScale      ( Int viewIndex )  { return m_aaaiCodedScale [viewIndex][1]; }
   Int* getInvCodedOffset     ( Int viewIndex )  { return m_aaaiCodedOffset[viewIndex][1]; }
-#endif
 
 #if H_3D_IV_MERGE
   Void    setIvMvPredFlag     ( Int layerIdInVps, Bool val )  { m_ivMvPredFlag[ layerIdInVps ] = val; }
   Bool    getIvMvPredFlag     ( Int layerIdInVps )            { return m_ivMvPredFlag[ layerIdInVps ]; }; 
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
   Int     getSubPULog2Size(Int layerIdInVps)           { return m_iSubPULog2Size[layerIdInVps]; }
   Void    setSubPULog2Size(Int layerIdInVps, Int u)    { m_iSubPULog2Size[layerIdInVps] = u;}
@@ -1182,17 +1068,4 @@
   Void    setVpsDepthModesFlag( Int layerIdInVps, Bool val )               { m_vpsDepthModesFlag[ layerIdInVps ] = val; }
   Bool    getVpsDepthModesFlag( Int layerIdInVps )                         { return m_vpsDepthModesFlag[ layerIdInVps ]; }
-
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-  Bool    getUseDLTFlag      ( Int layerIdInVps )                         { return m_bUseDLTFlag[ layerIdInVps ]; }
-  Void    setUseDLTFlag      ( Int layerIdInVps, Bool b ) { m_bUseDLTFlag[ layerIdInVps ]  = b;          }
-  
-  Int     getBitsPerDepthValue( Int layerIdInVps )        { return getUseDLTFlag(layerIdInVps)?m_iBitsPerDepthValue[layerIdInVps]:g_bitDepthY; }
-  Int     getNumDepthValues( Int layerIdInVps )           { return getUseDLTFlag(layerIdInVps)?m_iNumDepthmapValues[layerIdInVps]:((1 << g_bitDepthY)-1); }
-  Int     depthValue2idx( Int layerIdInVps, Pel value )   { return getUseDLTFlag(layerIdInVps)?m_iDepthValue2Idx[layerIdInVps][value]:value; }
-  Pel     idx2DepthValue( Int layerIdInVps, UInt uiIdx )  { return getUseDLTFlag(layerIdInVps)?m_iIdx2DepthValue[layerIdInVps][uiIdx]:uiIdx; }
-  Void    setDepthLUTs( Int layerIdInVps, Int* idx2DepthValue = NULL, Int iNumDepthValues = 0 );
-#endif
-#endif
 
   Bool    getIvMvScalingFlag   (  )                       { return m_ivMvScalingFlag; }
@@ -1202,5 +1075,5 @@
   Void    setInterSDCFlag      ( Int layerIdInVps, Bool bval ){ m_bInterSDCFlag[layerIdInVps] = bval; }
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
   Bool    getMPIFlag      ( Int layerIdInVps )           { return m_bMPIFlag[layerIdInVps]; }
   Void    setMPIFlag      ( Int layerIdInVps, Bool bval ){ m_bMPIFlag[layerIdInVps] = bval; }
@@ -1210,5 +1083,5 @@
 };
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 class TComDLT
 {
@@ -1481,25 +1354,6 @@
   TComHRD* getHrdParameters                 ()             { return &m_hrdParameters; }
   TimingInfo* getTimingInfo() { return &m_timingInfo; }
-
-#if H_MV_6_PS_O0118_33
-  Void inferVideoSignalInfo( TComVPS* vps, Int layerIdCurr )
-  {
-    if ( layerIdCurr == 0 || !vps->getVpsVuiPresentFlag() ) 
-    {
-      return; 
-    }
-
-    TComVPSVUI* vpsVUI = vps->getVPSVUI(); 
-    assert( vpsVUI != NULL );  
-
-    TComVideoSignalInfo* videoSignalInfo = vpsVUI->getVideoSignalInfo( vpsVUI->getVpsVideoSignalInfoIdx( vps->getLayerIdInVps( layerIdCurr ) ) ); 
-    assert( videoSignalInfo != NULL );
-
-    setVideoFormat            ( videoSignalInfo->getVideoVpsFormat            () ); 
-    setVideoFullRangeFlag     ( videoSignalInfo->getVideoFullRangeVpsFlag     () );
-    setColourPrimaries        ( videoSignalInfo->getColourPrimariesVps        () );
-    setTransferCharacteristics( videoSignalInfo->getTransferCharacteristicsVps() );
-    setMatrixCoefficients     ( videoSignalInfo->getMatrixCoeffsVps           () );     
-  }
+#if H_MV
+  Void inferVideoSignalInfo( TComVPS* vps, Int layerIdCurr );
 #endif
 };
@@ -1588,17 +1442,12 @@
   TComVPS*    m_pcVPS; 
   // SPS 
-#if H_MV_6_PSEM_O0142_3
   Bool        m_spsExtensionFlag; 
   Bool        m_spsExtensionTypeFlag[PS_EX_T_MAX_NUM];
-#endif
   Bool        m_spsInferScalingListFlag;
   Int         m_spsScalingListRefLayerId;
   Bool        m_updateRepFormatFlag;
-#if H_MV_6_PS_REP_FORM_18_19_20  
   Int         m_spsRepFormatIdx;
-#endif
   // SPS Extension 
   Bool        m_interViewMvVertConstraintFlag;
-#if H_MV_6_SHVC_O0098_36
   Int         m_numScaledRefLayerOffsets;
   Int         m_scaledRefLayerId          [MAX_NUM_SCALED_REF_LAYERS];
@@ -1607,5 +1456,4 @@
   Int         m_scaledRefLayerRightOffset [MAX_NUM_LAYERS];
   Int         m_scaledRefLayerBottomOffset[MAX_NUM_LAYERS];
-#endif
 #endif
 #if H_3D
@@ -1744,5 +1592,4 @@
   TComPTL* getPTL()     { return &m_pcPTL; }
 #if H_MV
-#if H_MV_6_PSEM_O0142_3
   Void setSpsExtensionFlag( Bool flag ) { m_spsExtensionFlag = flag; } 
   Bool getSpsExtensionFlag( )  { return m_spsExtensionFlag; }
@@ -1750,5 +1597,4 @@
   Void setSpsExtensionTypeFlag( Int i, Bool flag ) { m_spsExtensionTypeFlag[i] = flag; } 
   Bool getSpsExtensionTypeFlag( Int i ) { return m_spsExtensionTypeFlag[i]; }
-#endif
   Void      setVPS          ( TComVPS* pcVPS ) { m_pcVPS = pcVPS; }
   TComVPS*  getVPS          () { return m_pcVPS; }
@@ -1762,13 +1608,10 @@
   Void setUpdateRepFormatFlag( Bool flag )     { m_updateRepFormatFlag = flag; } 
   Bool getUpdateRepFormatFlag(  )              { return m_updateRepFormatFlag; } 
-#if H_MV_6_PS_REP_FORM_18_19_20
   Void setSpsRepFormatIdx( Int  val )          { m_spsRepFormatIdx = val; } 
   Int  getSpsRepFormatIdx(  )                  { return m_spsRepFormatIdx; } 
-#endif
   // SPS Extension 
   Void setInterViewMvVertConstraintFlag(Bool val) { m_interViewMvVertConstraintFlag = val; }
   Bool getInterViewMvVertConstraintFlag()         { return m_interViewMvVertConstraintFlag;}
 
-#if H_MV_6_SHVC_O0098_36
   Void setNumScaledRefLayerOffsets( Int  val )    { m_numScaledRefLayerOffsets = val; } 
   Int  getNumScaledRefLayerOffsets(  )            { return m_numScaledRefLayerOffsets; } 
@@ -1788,5 +1631,4 @@
   Void setScaledRefLayerBottomOffset( Int j, Int  val ) { m_scaledRefLayerBottomOffset[j] = val; } 
   Int  getScaledRefLayerBottomOffset( Int j )           { return m_scaledRefLayerBottomOffset[j]; } 
-#endif
   // Inference 
   Void inferRepFormat( TComVPS* vps, Int layerIdCurr );
@@ -1799,18 +1641,4 @@
   Void setUsePC ( Bool b ) { m_bUsePC  = b;    }
   Bool getUsePC ()         { return m_bUsePC;  }
-#endif
-#if H_3D
-#if !CAM_HLS_F0136_F0045_F0082
-  Void initCamParaSPS      (  UInt uiViewIndex, UInt uiCamParPrecision = 0, Bool bCamParSlice = false, Int** aaiScale = 0, Int** aaiOffset = 0 );
-  UInt getCamParPrecision    ()  { return m_uiCamParPrecision; }
-  Bool hasCamParInSliceHeader()  { return m_bCamParInSliceHeader; }
-#if QC_DEPTH_IV_MRG_F0125
-  Void setHasCamParInSliceHeader( Bool b )  { m_bCamParInSliceHeader = b; }
-#endif
-  Int* getCodedScale         ()  { return m_aaiCodedScale [0]; }
-  Int* getCodedOffset        ()  { return m_aaiCodedOffset[0]; }
-  Int* getInvCodedScale      ()  { return m_aaiCodedScale [1]; }
-  Int* getInvCodedOffset     ()  { return m_aaiCodedOffset[1]; }
-#endif
 #endif
 #if H_MV
@@ -1919,5 +1747,5 @@
 #endif
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   TComDLT*  m_pcDLT; 
 #endif
@@ -1948,5 +1776,5 @@
   UInt      getMinCuDQPSize     ()         { return m_uiMinCuDQPSize; }
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
   Void      setDLT              ( TComDLT* pcDLT ) { m_pcDLT = pcDLT; }
   TComDLT*  getDLT              ()                 { return m_pcDLT; }
@@ -2201,7 +2029,5 @@
 // Additional slice header syntax elements 
   Bool       m_pocResetFlag; 
-#if H_MV_6_RALS_O0149_11
   Bool       m_crossLayerBlaFlag;
-#endif
   Bool       m_discardableFlag;
   Bool       m_interLayerPredEnabledFlag;
@@ -2214,12 +2040,8 @@
 #endif
 #if H_3D_ARP
-#if SHARP_ARP_REF_CHECK_F0105
   Bool m_arpRefPicAvailable[2][MAX_NUM_LAYERS];
-#endif
   TComList<TComPic*> * m_pBaseViewRefPicList[MAX_NUM_LAYERS];
   UInt                 m_nARPStepNum; 
-#if QC_MTK_INTERVIEW_ARP_F0123_F0108
   Int         m_aiFirstTRefIdx    [2]; 
-#endif
 #endif
 #if H_3D_IC
@@ -2308,9 +2130,5 @@
 #if H_3D_ARP
   Void      setBaseViewRefPicList( TComList<TComPic*> *pListPic, Int iViewIdx )      { m_pBaseViewRefPicList[iViewIdx] = pListPic;                   }
-#if SHARP_ARP_REF_CHECK_F0105
   Void      setARPStepNum( TComPicLists*ivPicLists );
-#else
-  Void      setARPStepNum();                                 
-#endif
   TComPic*  getBaseViewRefPic    ( UInt uiPOC , Int iViewIdx )                       { return xGetRefPic( *m_pBaseViewRefPicList[iViewIdx], uiPOC ); }
   UInt      getARPStepNum( )                                                         { return m_nARPStepNum;                                         }  
@@ -2513,9 +2331,7 @@
   Int       getAlterRefIdx          ( RefPicList e )        { return  m_aiAlterRefIdx[e];     }
 #endif
-#if QC_MTK_INTERVIEW_ARP_F0123_F0108
+#if H_3D_ARP
   Int       getFirstTRefIdx        ( RefPicList e )                { return  m_aiFirstTRefIdx[e];     }
   Void      setFirstTRefIdx        ( RefPicList e, Int i )         { m_aiFirstTRefIdx[e]    = i;      }
-#endif
-#if SHARP_ARP_REF_CHECK_F0105
   Bool      getArpRefPicAvailable( RefPicList e, Int viewIdx) {return m_arpRefPicAvailable[e][getVPS()->getLayerIdInNuh(viewIdx, 0)]; }
 #endif
@@ -2541,5 +2357,4 @@
 // Additional slice header syntax elements
 
-#if H_MV_6_RALS_O0149_11
   Void setCrossLayerBlaFlag( Bool flag ) { m_crossLayerBlaFlag = flag; } 
   Bool getCrossLayerBlaFlag(  ) { return m_crossLayerBlaFlag; } 
@@ -2552,20 +2367,19 @@
     }
   }
-#endif
 
   Void setPocResetFlag( Bool flag ) { m_pocResetFlag = flag; } 
   Bool getPocResetFlag(  ) { return m_pocResetFlag; } 
 
-Void setDiscardableFlag( Bool flag ) { m_discardableFlag = flag; } 
-Bool getDiscardableFlag(  ) { return m_discardableFlag; } 
-
-Void setInterLayerPredEnabledFlag( Bool flag ) { m_interLayerPredEnabledFlag = flag; } 
-Bool getInterLayerPredEnabledFlag(  ) { return m_interLayerPredEnabledFlag; } 
-
-Void setNumInterLayerRefPicsMinus1( Int  val ) { m_numInterLayerRefPicsMinus1 = val; } 
-Int  getNumInterLayerRefPicsMinus1(  ) { return m_numInterLayerRefPicsMinus1; } 
-
-Void setInterLayerPredLayerIdc( Int i, Int  val ) { m_interLayerPredLayerIdc[i] = val; } 
-Int  getInterLayerPredLayerIdc( Int i ) { return m_interLayerPredLayerIdc[i]; } 
+  Void setDiscardableFlag( Bool flag ) { m_discardableFlag = flag; } 
+  Bool getDiscardableFlag(  ) { return m_discardableFlag; } 
+
+  Void setInterLayerPredEnabledFlag( Bool flag ) { m_interLayerPredEnabledFlag = flag; } 
+  Bool getInterLayerPredEnabledFlag(  ) { return m_interLayerPredEnabledFlag; } 
+
+  Void setNumInterLayerRefPicsMinus1( Int  val ) { m_numInterLayerRefPicsMinus1 = val; } 
+  Int  getNumInterLayerRefPicsMinus1(  ) { return m_numInterLayerRefPicsMinus1; } 
+
+  Void setInterLayerPredLayerIdc( Int i, Int  val ) { m_interLayerPredLayerIdc[i] = val; } 
+  Int  getInterLayerPredLayerIdc( Int i ) { return m_interLayerPredLayerIdc[i]; } 
 
   // Additional variables derived in slice header semantics 
@@ -2573,9 +2387,7 @@
   Int  getInterLayerPredLayerIdcLen    ( ) { return gCeilLog2(  getVPS()->getNumDirectRefLayers( getLayerId() )); }
 
-#if H_MV_6_ILDDS_ILREFPICS_27_34
   Int  getRefLayerPicFlag( Int i ); 
   Int  getRefLayerPicIdc ( Int j ); 
   Int  getNumRefLayerPics( ); 
-#endif
 
   Int  getNumActiveRefLayerPics( );
Index: trunk/source/Lib/TLibCommon/TComWedgelet.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComWedgelet.h	(revision 759)
+++ trunk/source/Lib/TLibCommon/TComWedgelet.h	(revision 773)
@@ -50,23 +50,10 @@
 enum DIM_IDX
 {
-#if SEC_DMM3_RBC_F0147
   DMM1_IDX = 0,
   DMM4_IDX = 1,
-#else
-  DMM1_IDX = 0,
-  DMM3_IDX = 1,
-  DMM4_IDX = 2,
-  RBC_IDX  = 3
-#endif
 };
 
-#if SEC_DMM3_RBC_F0147
 #define DMM_NUM_TYPE   2
 #define DIM_NUM_TYPE   (DMM_NUM_TYPE)
-#else
-#define DMM_NUM_TYPE   3
-#define RBC_NUM_TYPE   1
-#define DIM_NUM_TYPE   (DMM_NUM_TYPE+RBC_NUM_TYPE)
-#endif
 #define DIM_NO_IDX     MAX_UINT
 
@@ -76,16 +63,7 @@
 #endif
 
-#if H_3D_DIM_RBC
-#define RBC_THRESHOLD              20
-#define RBC_MAX_EDGE_NUM_PER_4x4   8
-#define RBC_MAX_DISTANCE           255
-#endif
-
 #if H_3D_DIM_DMM
 #define DMM_NO_WEDGEINDEX       MAX_UINT
 #define DMM_NUM_WEDGE_REFINES   8
-#if !SEC_DMM3_RBC_F0147
-#define DMM3_SIMPLIFY_TR        1
-#endif
 
 enum WedgeResolution
